#include <bits/stdc++.h>
using namespace std;
int sht(int n)
{
   int s=0;
   for(int i=1;i<n;i++)
   {
      if(n%i==0)s+=i;
   }
   if(s==n)return 1;
   else return 0;
}
int main()
{

   ifstream f1("soht.inp");
   int n;
   f1>>n;
   f1.close();
   ofstream f2("soht.out");
   for(int i=1;i<=n;i++)
   {
      if(sht(i)==1) f2<<i<<" ";
   }
   f2.close();
}
